# Apple II Disk Browser

### Features
- Applesoft and Integer Basic
- Pascal disassembler
- 6502 disassembler
- Wizardry internals and maps
- Infocom text adventure internals
- Appleworks
- Visicalc
- HDV and 2mg
- Compressed disks - shrinkIt, gzip, zip
- Track and sector display
- Dual DOS disks
- CPM disks
- Comprehensive disk listing

### Documentation
* [Usage](resources/usage.md)
* [Project layout](resources/structure.md)

### Installation
* Install the **latest** version of the [Java Runtime Environment](http://www.oracle.com/technetwork/java/javase/downloads/index.html) (JRE or JDK).
* Download DiskBrowser.jar from the [releases](https://github.com/dmolony/diskbrowser/releases) page.
* Double-click the jar file, or enter 'java -jar DiskBrowser.jar' in the terminal.

### Example Screens
#### Disk listing
![Disk listing](resources/disk1.png?raw=true "Disk listing")
#### Disk contents
![Disk catalog](resources/disk2.png?raw=true "Disk catalog")
#### Hard disk
![Hard disk](resources/disk3.png?raw=true "Hard disk")
#### Pascal code
![Pascal](resources/pascal.png?raw=true "Pascal")
#### Zork
![Zork](resources/zork.png?raw=true "Zork")
#### Wizardry
![Wizardry](resources/wizardry.png?raw=true "Wizardry")
#### Visicalc
![Visicalc](resources/visicalc.png?raw=true "Visicalc")
#### Complete Disk List
![Disk List](resources/disklist.png?raw=true "Disk List")
